# -*- coding: utf-8 -*-

import importlib
import importlib.util
import os
import setuptools

"""This file is used to package the ExtraCurrencyExchange plugin.

- It was generated by the InvenTree Plugin Creator tool - version 1.3.0
- Ref: https://github.com/inventree/plugin_creator
"""

"""Read the plugin version from the source code."""
module_path = os.path.join(os.path.dirname(__file__), "extracurrencyexchange", "__init__.py")
spec = importlib.util.spec_from_file_location("extracurrencyexchange", module_path)
extracurrencyexchange = importlib.util.module_from_spec(spec)
spec.loader.exec_module(extracurrencyexchange)

with open('README.md', encoding='utf-8') as f:
    long_description = f.read()

setuptools.setup(
    name="extracurrencyexchange",
    version=extracurrencyexchange.PLUGIN_VERSION,
    author="Alex Le",
    author_email="alexquan68@gmail.com",
    description="Currency Exchange plugin with more supported currency",
    long_description=long_description,
    long_description_content_type='text/markdown',
    license="MIT",
    packages=setuptools.find_packages(),
    keywords="inventree plugin",
    include_package_data=True,
    install_requires=[
        # Enter your plugin library dependencies here
    ],
    setup_requires=[
        "wheel",
        "twine",
    ],
    python_requires=">=3.9",
    entry_points={
        "inventree_plugins": [
            "ExtraCurrencyExchange = extracurrencyexchange.core:ExtraCurrencyExchange"
        ]
    },
)
